Bug 7919 - [PATCH] Удвоение звездочек в окне ввода пароля kdesktop_lock в не-7/8-битных локалях
: [PATCH] Удвоение звездочек в окне ввода пароля kdesktop_lock в не-7/8-битных...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdebase-wm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 10446
  Show dependency tree
 
Reported: 2005-09-10 19:25 by
Modified: 2013-08-15 19:33 (History)


Attachments
кажись исправляет (1.06 KB, patch)
2007-05-31 10:31, Andriy Stepanov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-10 19:25:57
ALC 3.0 rc6

kdebase-wm-3.4.1-alt9

kdesktop_lock --version
Qt: 3.3.4
KDE: 3.4.1
KDesktop Locker: 2.0

Локаль ru_RU.UTF-8 

В kdesktop_lock при вводе пароля, если переключиться в русскую раскладку, в поле 
ввода пароля при нажатии клавиш с русскими буквами появляются не одна звездочка, 
а две. Причем стирать их бекспейсом можно по одной.

Так как индикатора текущей раскладки в диалоге не предусмотрена, такое поведение 
может дезориентировать пользователя, если он вводит пароль, смотря на звездочки.

Предлагаю выводить не две звездочки, а одну, как это происходит например в kdm.
Steps to Reproduce:
1. Установить локаль ru_RU.UTF-8
2. Заблокировать сеанс
3. Переключить раскладку на русскую
4. Ввести русскую букву
Actual Results:  
В поле ввода пароля появится две звездочки. Их можно стирать поодиночке клавишей 
Backspace.

Expected Results:  
В поле пароля должна появиться одна звездочка.
------- Comment #1 From 2006-08-29 16:19:51 -------
Баг проявляется даже в самом последнем KDE.
------- Comment #2 From 2006-08-30 18:49:10 -------
Наоборот, это фича :-)
Индикатора нет, но видно, что русский включен.
------- Comment #3 From 2006-12-04 01:15:16 -------
Кстати, по идее - индикатор нажатости Caps Lock там есть, а вот индикатор того,
что включена нелатинская раскладка - не помешал бы. В Windows, например,
примерно так и сделано. И есть подозрение, что заниматься этим придется не
иначе
как где-то здесь - апстрим сам ни в жизнь ничего подобного не сделает, им эти
проблемы чужды...
------- Comment #4 From 2006-12-04 11:36:15 -------
(In reply to comment #3)
>  а вот индикатор того,> что включена нелатинская раскладка - не помешал бы. 
Я не разбирался конкретно, но боюсь, что туда kkbswitch почти целиком запихать 
придется :-(
------- Comment #5 From 2007-05-31 10:31:46 -------
Created an attachment (id=2002) [details]
кажись исправляет

Ошибка происходит в файле:
kdelibs-3.5.7/kdeui/kpassdlg.cpp
Автор предполагает что любой символ может вместится в 8бит. От этого и ошибка с
русским вводом в локали UTF8.

Если наложить патч. То ошибка ищезает. Можно вводить пароль по русски. Для
каждого символа будет своя звездочка. И будет правильно работать backspace.

Насчет иконки, которая бы сигнализировала о текущем языке.
Она уже есть в kdesktop_lock. Но чтоб ее активировать нужно включить
KDE-поддержку переключения клавиатур: 
1) Разрешить работу kxkb в KDE Control Center.
2) Выбрать две клавиатуры. 
(Но почему-то эта поддержка не работает)
Тогда на панели kdesktop_lock будет иконка текущей раскладки.

Также эта ошибка в bugzilla KDE:
http://bugs.kde.org/show_bug.cgi?id=143289
------- Comment #6 From 2009-12-09 01:03:28 -------
(In reply to comment #5)
> Также эта ошибка в bugzilla KDE:
> http://bugs.kde.org/show_bug.cgi?id=143289
WAITINGFORINFO; там же ссылаются на
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413055, где:

It seems to be solved in KDE 4.2.2:
http://bugs.kde.org/show_bug.cgi?id=149369

2 stanv: RESOLVED FIXED или WONTFIX?
------- Comment #7 From 2013-08-15 19:33:34 -------
На вчерашнем regular-tde воспроизводится, если включить переключение раскладки
для всех окон (иначе можно не заметить, что в kdesktop_lock стоит US).

(В ответ на комментарий №6)
> > Также эта ошибка в bugzilla KDE:
Там состояние осталось тем же.